Index: lang/python27/files/patch-Makefile.pre.in.diff
===================================================================
--- lang/python27/files/patch-Makefile.pre.in.diff	(revision 91862)
+++ lang/python27/files/patch-Makefile.pre.in.diff	(working copy)
@@ -28,4 +28,4 @@
 +	./$(BUILDPYTHON) $(srcdir)/Tools/scripts/setup.py --no-user-cfg install \
  	--prefix=$(prefix) \
  	--install-scripts=$(BINDIR) \
- 	--root=/$(DESTDIR)
+ 	--root=$(DESTDIR)/
Index: lang/python27/files/patch-libedit.diff
===================================================================
--- lang/python27/files/patch-libedit.diff	(revision 91862)
+++ lang/python27/files/patch-libedit.diff	(working copy)
@@ -20,7 +20,7 @@
 -$as_echo_n "checking for rl_callback_handler_install in -lreadline... " >&6; }
 +{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_callback_handler_install in -ledit" >&5
 +$as_echo_n "checking for rl_callback_handler_install in -ledit... " >&6; }
- if ${ac_cv_lib_readline_rl_callback_handler_install+:} false; then :
+ if test "${ac_cv_lib_readline_rl_callback_handler_install+set}" = set; then :
    $as_echo_n "(cached) " >&6
  else
    ac_check_lib_save_LIBS=$LIBS
@@ -64,7 +64,7 @@
 -$as_echo_n "checking for rl_pre_input_hook in -lreadline... " >&6; }
 +{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_pre_input_hook in -ledit" >&5
 +$as_echo_n "checking for rl_pre_input_hook in -ledit... " >&6; }
- if ${ac_cv_lib_readline_rl_pre_input_hook+:} false; then :
+ if test "${ac_cv_lib_readline_rl_pre_input_hook+set}" = set; then :
    $as_echo_n "(cached) " >&6
  else
    ac_check_lib_save_LIBS=$LIBS
@@ -81,7 +81,7 @@
 -$as_echo_n "checking for rl_completion_display_matches_hook in -lreadline... " >&6; }
 +{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_completion_display_matches_hook in -ledit" >&5
 +$as_echo_n "checking for rl_completion_display_matches_hook in -ledit... " >&6; }
- if ${ac_cv_lib_readline_rl_completion_display_matches_hook+:} false; then :
+ if test "${ac_cv_lib_readline_rl_completion_display_matches_hook+set}" = set; then :
    $as_echo_n "(cached) " >&6
  else
    ac_check_lib_save_LIBS=$LIBS
@@ -98,7 +98,7 @@
 -$as_echo_n "checking for rl_completion_matches in -lreadline... " >&6; }
 +{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rl_completion_matches in -ledit" >&5
 +$as_echo_n "checking for rl_completion_matches in -ledit... " >&6; }
- if ${ac_cv_lib_readline_rl_completion_matches+:} false; then :
+ if test "${ac_cv_lib_readline_rl_completion_matches+set}" = set; then :
    $as_echo_n "(cached) " >&6
  else
    ac_check_lib_save_LIBS=$LIBS
Index: lang/python27/Portfile
===================================================================
--- lang/python27/Portfile	(revision 91862)
+++ lang/python27/Portfile	(working copy)
@@ -7,8 +7,7 @@
 name                python27
 epoch               2
 # Remember to keep py27-tkinter and py27-gdbm's versions sync'd with this
-version             2.7.2
-revision            4
+version             2.7.3
 
 set major           [lindex [split $version .] 0]
 set branch          [join [lrange [split ${version} .] 0 1] .]
@@ -23,16 +22,14 @@
                     programming language.
 
 homepage            http://www.python.org/
-master_sites        ${homepage}/ftp/python/${version}/ \
-                    ftp://ftp.python.org/pub/python/${version}/
+master_sites        ${homepage}ftp/python/${version}/
 
 distname            Python-${version}
-# consider changing to xz with next release
-use_bzip2           yes
+use_xz              yes
 
-checksums           md5     ba7b2f11ffdbf195ee0d111b9455a5bd \
-                    sha1    417bdeea77abfaf1b9257fc6b4a04aaa209f4547 \
-                    rmd160  c3bf4f09b7c429a4d9f4cc251c795304cd5232c5
+checksums           md5    62c4c1699170078c469f79ddfed21bc0 \
+                    rmd160 a51bb3ed518c897d1cf3c3d237929d385409d9f7 \
+                    sha256 61d36be58e9e9c733c49d7b76858d5c08e2c63a84f2066b29d35d3521057c985
 
 # patch-readlinefix.diff comes from
 # <http://bugs.python.org/issue5833>
Index: python/py-gdbm/Portfile
===================================================================
--- python/py-gdbm/Portfile	(revision 91862)
+++ python/py-gdbm/Portfile	(working copy)
@@ -44,11 +44,11 @@
 }
 subport py27-gdbm {
     maintainers     jwa openmaintainer
-    version         2.7.2
-    # consider changing to xz with next release (in sync with python27)
-    use_bzip2		yes
-    checksums		sha1 417bdeea77abfaf1b9257fc6b4a04aaa209f4547 \
-                    rmd160 c3bf4f09b7c429a4d9f4cc251c795304cd5232c5
+    version         2.7.3
+    use_xz          yes
+    checksums       md5 62c4c1699170078c469f79ddfed21bc0 \
+                    rmd160 a51bb3ed518c897d1cf3c3d237929d385409d9f7 \
+                    sha256 61d36be58e9e9c733c49d7b76858d5c08e2c63a84f2066b29d35d3521057c985
     livecheck.regex	Python (2.7.\[0-9\]+)
 }
 subport py31-gdbm {
Index: python/py-tkinter/Portfile
===================================================================
--- python/py-tkinter/Portfile	(revision 91862)
+++ python/py-tkinter/Portfile	(working copy)
@@ -46,13 +46,12 @@
 }
 subport py27-tkinter {
     maintainers jwa singingwolfboy openmaintainer
-    version     2.7.2
+    version     2.7.3
     homepage    http://docs.python.org/release/${version}/library/tkinter.html
-    checksums   md5 ba7b2f11ffdbf195ee0d111b9455a5bd \
-                sha1 417bdeea77abfaf1b9257fc6b4a04aaa209f4547 \
-                rmd160 c3bf4f09b7c429a4d9f4cc251c795304cd5232c5
-    # consider changing to xz with next release (in sync with python27)
-    use_bzip2   yes
+    checksums   md5 62c4c1699170078c469f79ddfed21bc0 \
+                rmd160 a51bb3ed518c897d1cf3c3d237929d385409d9f7 \
+                sha256 61d36be58e9e9c733c49d7b76858d5c08e2c63a84f2066b29d35d3521057c985
+    use_xz      yes
     append extract_files " Modules/tkinter.h"
 }
 subport py31-tkinter {