Index: src/grdtrend.c
===================================================================
--- src/grdtrend.c	(revision 9794)
+++ src/grdtrend.c	(working copy)
@@ -212,7 +212,9 @@
 		if (GMT_give_synopsis_and_exit) exit (EXIT_FAILURE);
 
 		fprintf (stderr,"\t<input.grd> is name of grid file to fit trend to.\n");
-		fprintf (stderr,"\t-N # model parameters to fit; integer in [1,10].  Append r for robust fit.\n");
+		fprintf(stderr,"\t-N fit a [robust] model with <n_model> terms.  <n_model> in [1,10].  E.g., robust planar = -N3r.\n");
+		fprintf(stderr,"\t   Model parameters order is given as follows:\n");
+		fprintf(stderr,"\t   z = m1 + m2*x + m3*y + m4*x*y + m5*x^2 + m6*y^2 + m7*x^3 + m8*x^2*y + m9*x*y^2 + m10*y^3.\n");
 		fprintf (stderr,"\n\tOPTIONS:\n");
 		fprintf (stderr,"\t-D Supply filename to write grid file of differences (input - trend).\n");
 		fprintf (stderr,"\t-T Supply filename to write grid file of trend.\n");
Index: src/pslib.c
===================================================================
--- src/pslib.c	(revision 9794)
+++ src/pslib.c	(working copy)
@@ -1397,7 +1397,7 @@
 		fprintf (PSL->internal.fp, " 0 A\nshowpage\n");
 		if (!PSL->internal.eps_format) fprintf (PSL->internal.fp, "\n%%%%Trailer\n");
 		fprintf (PSL->internal.fp, "\nend\n");
-		if (!PSL->internal.eps_format) fprintf (PSL->internal.fp, "%%%%EOF\n");
+		fprintf (PSL->internal.fp, "%%%%EOF\n");
 	}
 	else if (PSL->internal.absolute)
 		fprintf (PSL->internal.fp, "%g %g T 0 A\n", -(PSL->init.origin[0] * PSL->internal.scale), -(PSL->init.origin[1] * PSL->internal.scale));
Index: src/psxy.c
===================================================================
--- src/psxy.c	(revision 9794)
+++ src/psxy.c	(working copy)
@@ -532,7 +532,7 @@
 
 	resample = ((!Ctrl->A.active || Ctrl->A.mode) && GMT_IS_MAPPING);
 	/* Maximum step size (in degrees) used for interpolation of line segments along great circles (if requested) */
-	step = Ctrl->A.step / project_info.x_scale / project_info.DIST_M_PR_DEG;
+	step = Ctrl->A.step / project_info.x_scale / project_info.M_PR_DEG;
 
 	GMT_plotinit (argc, argv);
 
Index: src/trend2d.c
===================================================================
--- src/trend2d.c	(revision 9794)
+++ src/trend2d.c	(working copy)
@@ -212,7 +212,9 @@
 		if (GMT_give_synopsis_and_exit) exit (EXIT_FAILURE);
 
 		fprintf(stderr,"\t-F Choose at least 1, up to 6, any order, of xyzmrw for ascii output to stdout.\n");
-		fprintf(stderr,"\t-N fit a [robust] model with <n_model> terms.  <n_model> in [1,10].  E.g., robust quadratic = -N3r.\n");
+		fprintf(stderr,"\t-N fit a [robust] model with <n_model> terms.  <n_model> in [1,10].  E.g., robust planar = -N3r.\n");
+		fprintf(stderr,"\t   Model parameters order is given as follows:\n");
+		fprintf(stderr,"\t   z = m1 + m2*x + m3*y + m4*x*y + m5*x^2 + m6*y^2 + m7*x^3 + m8*x^2*y + m9*x*y^2 + m10*y^3.\n");
 		fprintf (stderr, "\n\tOPTIONS:\n");
 		fprintf(stderr,"\t[<xyz[w]file>] name of ascii file, first 3 cols = x y z [4 cols = x y z w]; [Default reads stdin].\n");
 		fprintf(stderr,"\t   x=x, y=y, z=z, m=model, r=residual=z-m, w=weight.  w determined iteratively if robust fit used.\n");
Index: src/spotter/backtracker.c
===================================================================
--- src/spotter/backtracker.c	(revision 9794)
+++ src/spotter/backtracker.c	(working copy)
@@ -169,7 +169,7 @@
 					}
 					break;
 
-				case 'C':	/* Use finite rotation poles */
+				case 'C':	/* Use total reconstruction poles */
 					finite = TRUE;
 					break;
 
@@ -279,7 +279,7 @@
 		fprintf (stderr, "\t-A Output tracks for ages (or stages, see -L) between young and old [Default is entire track]\n");
 		fprintf (stderr, "\t   If no limit is given, then each seamount should have their limits in columns 4 and 5 instead.\n");
 		fprintf (stderr, "\t   Only applicable in conjunction with the -L option.\n");
-		fprintf (stderr, "\t-C The file given with -E contains finite rotation poles [Default is stage poles]\n");
+		fprintf (stderr, "\t-C The file given with -E contains total reconstruction poles [Default is stage poles]\n");
 		fprintf (stderr, "\t-Db Backtrack mode: move forward in time (from older to younger positions) [Default]\n");
 		fprintf (stderr, "\t-Df Flowline mode: move backward in time (from younger to older positions)\n");
 		fprintf (stderr, "\t-F file with lon, lat, time records describing motion of hotspot responsible for)\n");
@@ -494,35 +494,34 @@
 					t_end = (track_limit) ? t_high : age;
 					GMT_intpol (dt, dlon, n_m, 1, &t, &lon, gmtdefs.interpolant);
 					GMT_intpol (dt, dlat, n_m, 1, &t, &lat, gmtdefs.interpolant);
-					lon *= D2R;
-					lat *= D2R;
+					lon *= D2R;	lat *= D2R;
 					n_chunk = (*spot_func) (&lon, &lat, &t, 1, p, n_stages, 0.0, t_zero, TRUE + stage_id, NULL, &c);
-					out[0] = lon * R2D;
-					out[1] = lat * R2D;
-					out[2] = t;
+					lat = GMT_lat_swap (lat * R2D, GMT_LATSWAP_O2G);	/* Convert back to geodetic */
+					out[GMT_X] = lon * R2D;
+					out[GMT_Y] = lat;
+					out[GMT_Z] = t;
 					GMT_output (fpo, n_out, out);
 					t += d_km;	/* dt, actually */
 					while (t < t_end) {
 						GMT_intpol (dt, dlon, n_m, 1, &t, &lon, gmtdefs.interpolant);
 						GMT_intpol (dt, dlat, n_m, 1, &t, &lat, gmtdefs.interpolant);
-						lon *= D2R;
-						lat *= D2R;
+						lon *= D2R;	lat *= D2R;
 						n_chunk = (*spot_func) (&lon, &lat, &t, 1, p, n_stages, 0.0, t_zero, TRUE + stage_id, NULL, &c);
-						lat = GMT_lat_swap (lat, GMT_LATSWAP_O2G);	/* Convert back to geodetic */
-						out[0] = lon * R2D;
-						out[1] = lat * R2D;
-						out[2] = t;
+						lat = GMT_lat_swap (lat * R2D, GMT_LATSWAP_O2G);	/* Convert back to geodetic */
+						out[GMT_X] = lon * R2D;
+						out[GMT_Y] = lat;
+						out[GMT_Z] = t;
 						GMT_output (fpo, n_out, out);
 						t += d_km;	/* dt, actually */
 					}
 					GMT_intpol (dt, dlon, n_m, 1, &t_end, &lon, gmtdefs.interpolant);
 					GMT_intpol (dt, dlat, n_m, 1, &t_end, &lat, gmtdefs.interpolant);
-					lon *= D2R;
-					lat *= D2R;
+					lon *= D2R;	lat *= D2R;
 					n_chunk = (*spot_func) (&lon, &lat, &t_end, 1, p, n_stages, 0.0, t_zero, TRUE + stage_id, NULL, &c);
-					out[0] = lon * R2D;
-					out[1] = lat * R2D;
-					out[2] = t_end;
+					lat = GMT_lat_swap (lat * R2D, GMT_LATSWAP_O2G);	/* Convert back to geodetic */
+					out[GMT_X] = lon * R2D;
+					out[GMT_Y] = lat;
+					out[GMT_Z] = t_end;
 					GMT_output (fpo, n_out, out);
 				}
 				else {
@@ -531,11 +530,10 @@
 					i = 0;
 					n_track = irint (c[i++]);
 					for (j = 0; j < n_track; j++, i += 3) {
-						out[2] = c[i+2];
-						if (track_limit && (out[2] < t_low || out[2] > t_high)) continue;
-						out[0] = c[i] * R2D;
-						out[1] = c[i+1] * R2D;
-						out[GMT_Y] = GMT_lat_swap (out[GMT_Y], GMT_LATSWAP_O2G);	/* Convert back to geodetic */
+						out[GMT_Z] = c[i+2];
+						if (track_limit && (out[GMT_Z] < t_low || out[GMT_Z] > t_high)) continue;
+						out[GMT_X] = c[i] * R2D;
+						out[GMT_Y] = GMT_lat_swap (c[i+1] * R2D, GMT_LATSWAP_O2G);	/* Convert back to geodetic */
 						GMT_output (fpo, n_out, out);
 					}
 				}
@@ -545,15 +543,14 @@
 			}
 			else {	/* Just return the projected locations */
 				if (confidence) {	/* Asked for confidence ellipses on reconstructed points */
-					if (spotter_conf_ellipse (in[0], in[1], age, p, n_stages, conf_flag, forward, out)) {
+					if (spotter_conf_ellipse (in[GMT_X], in[GMT_Y], age, p, n_stages, conf_flag, forward, out)) {
 						fprintf (stderr, "%s: Confidence ellipses only for the age of rotations.  Point with age %g skipped\n", GMT_program, age);
 						continue;
 					}
 				}
 				else {
 					n_chunk = (*spot_func) (&lon, &lat, &age, 1, p, n_stages, 0.0, t_zero, TRUE + stage_id, NULL, &c);
-					out[0] = lon * R2D;
-					out[1] = lat * R2D;
+					out[GMT_X] = lon * R2D;	out[GMT_Y] = lat * R2D;
 					for (k = 2; k < n_expected_fields; k++) out[k] = in[k];
 				}
 				out[GMT_Y] = GMT_lat_swap (out[GMT_Y], GMT_LATSWAP_O2G);	/* Convert back to geodetic */
Index: configure.ac
===================================================================
--- configure.ac	(revision 9794)
+++ configure.ac	(working copy)
@@ -27,9 +27,9 @@
 dnl Also, fix the MANDATE and DOCDATE values.
 dnl For final version set SVN_VERSION to 0
 dnl
-AC_INIT(GMT, 4.5.8, gmt-help@lists-hawaii.edu)
-MANDATE="1 Apr 2012"
-DOCDATE="April 2012"
+AC_INIT(GMT, 4.5.9, gmt-help@lists-hawaii.edu)
+MANDATE="1 Oct 2012"
+DOCDATE="October 2012"
 DOCYEAR="2012"
 GSHHS_VERSION=2.2.0
 SVN_VERSION=1