Index: python/py-biggles/Portfile
===================================================================
--- python/py-biggles/Portfile	(revision 92399)
+++ python/py-biggles/Portfile	(working copy)
@@ -1,11 +1,10 @@
 # $Id$
 
 PortSystem 1.0
-PortGroup python24 1.0
+PortGroup python 1.0
 
 name             py-biggles
-version          1.6.5
-revision         1
+version          1.6.6
 categories       python graphics math science
 platforms        darwin
 maintainers      deric
@@ -13,19 +12,17 @@
 long_description Biggles is a Python module for the creation of \
                   publication-quality 2D scientific plots.
 homepage         http://biggles.sourceforge.net/
-master_sites     sourceforge:biggles
+master_sites     sourceforge:project/biggles/biggles/${version}
 distname         python2-biggles-${version}
-checksums        md5     be1ba7a98cd58ce875e181bd60930b63 \
-                 sha1    067f7fd2803bbdf148a29c48da10a667cf304aed \
-                 rmd160  227ea00cbd73e3d2c502bd3398438fe5420559f6
+checksums        md5     5a9cfdf9d8401e1705fce43e4e4adaca \
+                 sha1    d2bcd0141845657189ef5834516e50e6cb777702 \
+                 rmd160  a6b16ddfba224402693eca086666fbd6b51ce413
 
-depends_lib      lib:libplot.2.2:plotutils port:py24-numpy port:xorg-libXaw
+python.versions  24 25 26 27
 
-build.target       build_ext
-build.args         -I${prefix}/include
-
-post-extract {
-     # edit setup.py in accordance with INSTALL so that libplot_prefix points to MacPorts prefix
-     system "sed \"s/\\/usr\\/local/[regsub -all {/} $prefix {\/}]/\" ${worksrcpath}/setup.py > ${worksrcpath}/setup.py.tmp"
-     system "mv ${worksrcpath}/setup.py.tmp ${worksrcpath}/setup.py"
+if {$subport != $name} {
+    depends_lib      port:plotutils port:py${python.version}-numpy port:xorg-libXaw
+    
+    build.target       build_ext
+    build.args         -I${prefix}/include
 }
Index: python/py25-biggles/Portfile
===================================================================
--- python/py25-biggles/Portfile	(revision 92399)
+++ python/py25-biggles/Portfile	(working copy)
@@ -1,32 +0,0 @@
-# $Id$
-
-PortSystem 1.0
-PortGroup python25 1.0
-
-name             py25-biggles
-version          1.6.5
-revision         1
-categories       python graphics math science
-platforms        darwin
-maintainers      macports.org:deric
-description      Creates 2D scientific plots
-long_description Biggles is a Python module for the creation of \
-                  publication-quality 2D scientific plots.
-homepage         http://biggles.sourceforge.net/
-master_sites     sourceforge:biggles
-distname         python2-biggles-${version}
-checksums        md5     be1ba7a98cd58ce875e181bd60930b63 \
-                 sha1    067f7fd2803bbdf148a29c48da10a667cf304aed \
-                 rmd160  227ea00cbd73e3d2c502bd3398438fe5420559f6
-
-
-depends_lib      lib:libplot.2.2:plotutils port:py25-numpy port:xorg-libXaw
-
-build.target       build_ext
-build.args         -I${prefix}/include
-
-post-extract {
-     # edit setup.py in accordance with INSTALL so that libplot_prefix points to MacPorts prefix
-     system "sed \"s/\\/usr\\/local/[regsub -all {/} $prefix {\/}]/\" ${worksrcpath}/setup.py > ${worksrcpath}/setup.py.tmp"
-     system "mv ${worksrcpath}/setup.py.tmp ${worksrcpath}/setup.py"
-}
Index: python/py26-biggles/Portfile
===================================================================
--- python/py26-biggles/Portfile	(revision 92399)
+++ python/py26-biggles/Portfile	(working copy)
@@ -1,32 +0,0 @@
-# $Id$
-
-PortSystem 1.0
-PortGroup python26 1.0
-
-name             py26-biggles
-version          1.6.5
-revision         1
-categories       python graphics math science
-platforms        darwin
-maintainers      deric
-description      Creates 2D scientific plots
-long_description Biggles is a Python module for the creation of \
-                  publication-quality 2D scientific plots.
-homepage         http://biggles.sourceforge.net/
-master_sites     sourceforge:biggles
-distname         python2-biggles-${version}
-checksums        md5     be1ba7a98cd58ce875e181bd60930b63 \
-                 sha1    067f7fd2803bbdf148a29c48da10a667cf304aed \
-                 rmd160  227ea00cbd73e3d2c502bd3398438fe5420559f6
-
-
-depends_lib      lib:libplot.2.2:plotutils port:py26-numpy port:xorg-libXaw
-
-build.target       build_ext
-build.args         -I${prefix}/include
-
-post-extract {
-     # edit setup.py in accordance with INSTALL so that libplot_prefix points to MacPorts prefix
-     system "sed \"s/\\/usr\\/local/[regsub -all {/} $prefix {\/}]/\" ${worksrcpath}/setup.py > ${worksrcpath}/setup.py.tmp"
-     system "mv ${worksrcpath}/setup.py.tmp ${worksrcpath}/setup.py"
-}