--- Portfile.orig	2012-04-27 17:42:51.000000000 -0500
+++ Portfile	2012-04-27 17:44:43.000000000 -0500
@@ -4,7 +4,7 @@
 PortSystem 1.0
 
 name            dspam
-version         3.9.0
+version         3.10.2
 categories      mail net
 maintainers     yahoo.com:compconsultant
 description     Scalable, open-source statistical anti-spam filter
@@ -15,9 +15,9 @@
 platforms       darwin freebsd
 master_sites    sourceforge
 
-checksums       md5 10d092b57d628d8c91655fee5dc0d0cd \
-                sha1 b238f076f67866b5450ae9b8329857b4e2d83dd1 \
-                rmd160 cbde359e4e846e8be352c087c4af46148e685761
+checksums       md5 0e0e405d3284485b2a43f47eaf6b09bb \
+                sha1 21133e0ee1880f3e8c849365b7e27a73f6d0413a \
+                rmd160 7e112981e45e483350b9afc056ebfa4c5561036c
 
 configure.args  --sysconfdir='${prefix}/etc' \
                 --mandir='${prefix}/share/man' \
@@ -26,7 +26,7 @@
 
 destroot.keepdirs       ${destroot}${prefix}/var/log/dspam
 
-variant vpopmail {
+variant vpopmail description Configure dspam to work with vpopmail {
                 configure.args-append --with-dspam-home-owner=vpopmail \
                                       --with-dspam-home-group=vchkpw \
                                       --with-dspam-owner=vpopmail \
@@ -34,7 +34,7 @@
                 depends_lib     port:vpopmail
 }
 
-variant mysql5 conflicts postgres sqlite {
+variant mysql5 conflicts postgres sqlite description Configure dspam to work with MySQL {
                 depends_lib     path:bin/mysql_config5:mysql5
                 configure.args-append --with-storage-driver=mysql_drv \
                                       --with-mysql-includes=${prefix}/include/mysql5/mysql \
@@ -43,11 +43,11 @@
                                       --enable-virtual-users
 }
 
-variant sqlite conflicts postgres mysql5 {
+variant sqlite conflicts postgres mysql5 description Configure dspam to work with sqlite {
                 depends_lib     port:sqlite3
                 configure.args-append --with-sqlite-libaries=${prefix}/lib
 }
-variant postgres conflicts sqlite mysql5 {
+variant postgres conflicts sqlite mysql5 description Configure dspam to work with postgres {
                 depends_lib     port:postgresql80
                 configure.args-append --with-storage-driver=pgsql_drv \
                                       --with-pgsql-includes=${prefix}/include/pgsql8 \
@@ -55,6 +55,7 @@
 }
 
 post-destroot {
+        file rename ${destroot}${prefix}/etc/dspam.conf ${destroot}${prefix}/etc/dspam.sample
         file mkdir ${destroot}${prefix}/var/dspam/samples
         file mkdir ${destroot}${prefix}/share/doc/dspam
         file mkdir ${destroot}${prefix}/var/dspam/mysql
@@ -65,11 +66,12 @@
         file mkdir ${destroot}${prefix}/var/dspam/webui/htdocs
         file copy ${worksrcpath}/README ${destroot}${prefix}/share/doc/dspam/
         file copy ${worksrcpath}/UPGRADING ${destroot}${prefix}/share/doc/dspam/
+        file copy ${worksrcpath}/RELEASE.NOTES ${destroot}${prefix}/share/doc/dspam/
+        file copy ${worksrcpath}/CHANGELOG ${destroot}${prefix}/share/doc/dspam/
         system "cp -R ${worksrcpath}/webui/cgi-bin/* ${destroot}${prefix}/var/dspam/webui/cgi-bin/"
         system "rm ${destroot}${prefix}/var/dspam/webui/cgi-bin/Make*"
         system "cp -R ${worksrcpath}/webui/htdocs/* ${destroot}${prefix}/var/dspam/webui/htdocs/"
         system "rm ${destroot}${prefix}/var/dspam/webui/htdocs/Make*"
-        file copy ${worksrcpath}/scripts/train.pl ${destroot}${prefix}/var/dspam/samples/
         system "cp ${worksrcpath}/txt/*.txt ${destroot}${prefix}/var/dspam/samples/"
         system "cp ${worksrcpath}/doc/*.txt ${destroot}${prefix}/share/doc/dspam/"
         system "cp -R ${worksrcpath}/src/tools.mysql_drv/*sql ${destroot}${prefix}/var/dspam/mysql"
@@ -80,3 +82,11 @@
                 system "chown -R vpopmail:vchkpw ${destroot}${prefix}/var/log/dspam"
         }
 }
+
+post-install {
+ui_msg "\n
+Please create the dspam configuration file ${prefix}/etc/dspam.conf
+by using the sample file ${prefix}/etc/dspam.sample as a reference
+\n"
+}
+