--- libgda/gda-command.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-command.c	2012-04-28 15:27:03.000000000 -0500
@@ -20,9 +20,7 @@
  * Boston, MA 02111-1307, USA.
  */
 
-#include <glib/gmem.h>
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 #include <libgda/gda-command.h>
 
 GType
--- libgda/gda-command.h.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-command.h	2012-04-28 15:27:04.000000000 -0500
@@ -23,8 +23,7 @@
 #if !defined(__gda_command_h__)
 #  define __gda_command_h__
 
-#include <glib/gmacros.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <libgda/gda-transaction.h>
 
 G_BEGIN_DECLS
--- libgda/gda-config.h.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-config.h	2012-04-28 15:27:04.000000000 -0500
@@ -23,7 +23,7 @@
 #if !defined(__gda_config_h__)
 #  define __gda_config_h__
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-data-model.h>
 #include <libgda/gda-parameter.h>
 
--- libgda/gda-data-model-array.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-data-model-array.c	2012-04-28 15:27:05.000000000 -0500
@@ -20,7 +20,7 @@
  * Boston, MA 02111-1307, USA.
  */
 
-#include <glib/garray.h>
+#include <glib.h>
 #include <libgda/gda-data-model-array.h>
 
 #define PARENT_TYPE GDA_TYPE_DATA_MODEL
--- libgda/gda-data-model-hash.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-data-model-hash.c	2012-04-28 15:27:05.000000000 -0500
@@ -22,7 +22,7 @@
  * Boston, MA 02111-1307, USA.
  */
 
-#include <glib/ghash.h>
+#include <glib.h>
 #include <libgda/gda-data-model-hash.h>
 
 #define PARENT_TYPE GDA_TYPE_DATA_MODEL
--- libgda/gda-field.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-field.c	2012-04-28 15:27:05.000000000 -0500
@@ -21,8 +21,7 @@
  * Boston, MA 02111-1307, USA.
  */
 
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 #include <libgda/gda-field.h>
 #include <string.h>
 
--- libgda/gda-field.h.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-field.h	2012-04-28 15:27:05.000000000 -0500
@@ -25,7 +25,7 @@
 #  define __gda_field_h__
 
 #include <libgda/gda-value.h>
-#include <glib/gmacros.h>
+#include <glib.h>
 
 G_BEGIN_DECLS
 
--- libgda/gda-init.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-init.c	2012-04-28 15:27:05.000000000 -0500
@@ -17,7 +17,7 @@
  * Boston, MA 02111-1307, USA.
  */
 
-#include <glib/gmain.h>
+#include <glib.h>
 #include <gmodule.h>
 #include <libgda/libgda.h>
 #include <libgda/gda-intl.h>
--- libgda/gda-log.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-log.c	2012-04-28 15:27:05.000000000 -0500
@@ -24,10 +24,6 @@
 #endif
 #include <time.h>
 #include <glib.h>
-#include <glib/gmem.h>
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
-#include <glib/gutils.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-log.h>
 
--- libgda/gda-log.h.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-log.h	2012-04-28 15:27:05.000000000 -0500
@@ -20,8 +20,7 @@
 #if !defined(__gda_log_h__)
 #  define __gda_log_h__
 
-#include <glib/gmacros.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <time.h>
 
 G_BEGIN_DECLS
--- libgda/gda-parameter.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-parameter.c	2012-04-28 15:27:05.000000000 -0500
@@ -20,10 +20,7 @@
  * Boston, MA 02111-1307, USA.
  */
 
-#include <glib/ghash.h>
-#include <glib/gmem.h>
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 #include <libgda/gda-parameter.h>
 
 struct _GdaParameterList {
--- libgda/gda-parameter.h.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-parameter.h	2012-04-28 15:27:05.000000000 -0500
@@ -23,7 +23,7 @@
 #if !defined(__gda_parameter_h__)
 #  define __gda_parameter_h__
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-value.h>
 
 G_BEGIN_DECLS
--- libgda/gda-quark-list.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-quark-list.c	2012-04-28 15:27:06.000000000 -0500
@@ -21,10 +21,7 @@
  */
 
 #include <libgda/gda-quark-list.h>
-#include <glib/ghash.h>
-#include <glib/gmem.h>
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 
 struct _GdaQuarkList {
 	GHashTable *hash_table;
--- libgda/gda-quark-list.h.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-quark-list.h	2012-04-28 15:27:06.000000000 -0500
@@ -23,8 +23,7 @@
 #if !defined(__gda_quark_list_h__)
 #  define __gda_quark_list_h__
 
-#include <glib/gmacros.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <glib-object.h>
 
 G_BEGIN_DECLS
--- libgda/gda-row.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-row.c	2012-04-28 15:27:06.000000000 -0500
@@ -20,8 +20,7 @@
  * Boston, MA 02111-1307, USA.
  */
 
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 #include <libgda/gda-row.h>
 
 struct _GdaRow {
--- libgda/gda-select.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-select.c	2012-04-28 15:27:06.000000000 -0500
@@ -20,7 +20,7 @@
  * Boston, MA 02111-1307, USA.
  */
 
-#include <glib/gdataset.h>
+#include <glib.h>
 #include <glib-object.h>
 #include <libsql/sql_parser.h>
 #include <libgda/gda-intl.h>
--- libgda/gda-server-provider.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-server-provider.c	2012-04-28 15:27:06.000000000 -0500
@@ -20,7 +20,7 @@
  * Boston, MA 02111-1307, USA.
  */
 
-#include <glib/gmessages.h>
+#include <glib.h>
 #include <libgda/gda-server-provider.h>
 #include <string.h>
 
--- libgda/gda-util.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-util.c	2012-04-28 15:27:06.000000000 -0500
@@ -25,9 +25,7 @@
 #include <sys/stat.h>
 #include <fcntl.h>
 #include <unistd.h>
-#include <glib/gfileutils.h>
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 #include <libsql/sql_parser.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-log.h>
--- libgda/gda-util.h.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-util.h	2012-04-28 15:27:06.000000000 -0500
@@ -23,8 +23,7 @@
 #if !defined(__gda_util_h__)
 #  define __gda_util_h__
 
-#include <glib/ghash.h>
-#include <glib/glist.h>
+#include <glib.h>
 #include <libgda/gda-parameter.h>
 #include <libgda/gda-row.h>
 
--- libgda/gda-value.c.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-value.c	2012-04-28 15:27:06.000000000 -0500
@@ -26,10 +26,7 @@
 #include <string.h>
 #include <stdlib.h>
 #include <time.h>
-#include <glib/gdate.h>
-#include <glib/gmessages.h>
-#include <glib/gstrfuncs.h>
-#include <glib/gstring.h>
+#include <glib.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-value.h>
 #include <libgda/gda-util.h>
--- libgda/gda-value.h.orig	2007-01-09 06:50:51.000000000 -0600
+++ libgda/gda-value.h	2012-04-28 15:27:06.000000000 -0500
@@ -26,8 +26,7 @@
 #  define __gda_value_h__
 
 #include <time.h>
-#include <glib/glist.h>
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <glib-object.h>
 #include <libxml/tree.h>
 #include <libgda/gda-blob.h>
--- providers/bdb/gda-bdb.h.orig	2007-01-09 06:50:54.000000000 -0600
+++ providers/bdb/gda-bdb.h	2012-04-28 15:27:07.000000000 -0500
@@ -25,7 +25,7 @@
 #if defined(HAVE_CONFIG_H)
 #endif
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-server-provider.h>
 #include <libgda/gda-blob.h>
--- providers/freetds/gda-freetds-message.h.orig	2007-01-09 06:50:54.000000000 -0600
+++ providers/freetds/gda-freetds-message.h	2012-04-28 15:27:07.000000000 -0500
@@ -24,7 +24,7 @@
 #if defined(HAVE_CONFIG_H)
 #endif
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-server-provider.h>
 #include <tds.h>
--- providers/freetds/gda-freetds-types.h.orig	2007-01-09 06:50:54.000000000 -0600
+++ providers/freetds/gda-freetds-types.h	2012-04-28 15:27:07.000000000 -0500
@@ -24,7 +24,7 @@
 #if defined(HAVE_CONFIG_H)
 #endif
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-server-provider.h>
 #include <tds.h>
--- providers/freetds/gda-freetds.h.orig	2007-01-09 06:50:54.000000000 -0600
+++ providers/freetds/gda-freetds.h	2012-04-28 15:27:07.000000000 -0500
@@ -24,7 +24,7 @@
 #if defined(HAVE_CONFIG_H)
 #endif
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-server-provider.h>
 #include <tds.h>
--- providers/ibmdb2/gda-ibmdb2-types.h.orig	2007-01-09 06:50:54.000000000 -0600
+++ providers/ibmdb2/gda-ibmdb2-types.h	2012-04-28 15:27:07.000000000 -0500
@@ -22,7 +22,7 @@
 #if !defined(__gda_ibmdb2_types_h__)
 #  define __gda_ibmdb2_types_h__
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-server-provider.h>
 #include <sqlcli1.h>
--- providers/ibmdb2/gda-ibmdb2.h.orig	2007-01-09 06:50:54.000000000 -0600
+++ providers/ibmdb2/gda-ibmdb2.h	2012-04-28 15:27:07.000000000 -0500
@@ -23,7 +23,7 @@
 #if !defined(__gda_ibmdb2_h__)
 #  define __gda_ibmdb2_h__
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-connection.h>
 #include <libgda/gda-server-provider.h>
--- providers/ldap/gda-ldap.h.orig	2007-01-09 06:50:53.000000000 -0600
+++ providers/ldap/gda-ldap.h	2012-04-28 15:27:07.000000000 -0500
@@ -26,7 +26,7 @@
 #if !defined(__gda_ldap_h__)
 #  define __gda_ldap_h__
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-connection.h>
 #include <libgda/gda-server-provider.h>
 #include <libgda/gda-intl.h>
--- providers/mdb/gda-mdb-provider.c.orig	2007-01-09 06:50:56.000000000 -0600
+++ providers/mdb/gda-mdb-provider.c	2012-04-28 15:27:07.000000000 -0500
@@ -21,7 +21,7 @@
  */
 
 #include <stdlib.h>
-#include <glib/gbacktrace.h>
+#include <glib.h>
 #include <libgda/gda-data-model-array.h>
 #include <libgda/gda-data-model-list.h>
 #include <libgda/gda-table.h>
--- providers/mdb/gda-mdb.h.orig	2007-01-09 06:50:56.000000000 -0600
+++ providers/mdb/gda-mdb.h	2012-04-28 15:27:07.000000000 -0500
@@ -23,7 +23,7 @@
 #if !defined(__gda_mdb_h__)
 #  define __gda_mdb_h__
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-connection.h>
 #include <libgda/gda-server-provider.h>
 #include <libgda/gda-intl.h>
--- providers/msql/gda-msql.h.orig	2007-01-09 06:50:59.000000000 -0600
+++ providers/msql/gda-msql.h	2012-04-28 15:27:07.000000000 -0500
@@ -22,7 +22,7 @@
 #ifndef __gda_msql_h__
 #define __gda_msql_h__
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-connection.h>
 #include <libgda/gda-server-provider.h>
 #include <libgda/gda-intl.h>
--- providers/mysql/gda-mysql.h.orig	2007-01-09 06:50:57.000000000 -0600
+++ providers/mysql/gda-mysql.h	2012-04-28 15:27:08.000000000 -0500
@@ -25,7 +25,7 @@
 #if !defined(__gda_mysql_h__)
 #  define __gda_mysql_h__
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-connection.h>
 #include <libgda/gda-server-provider.h>
 #include <libgda/gda-intl.h>
--- providers/odbc/gda-odbc.h.orig	2007-01-09 06:50:57.000000000 -0600
+++ providers/odbc/gda-odbc.h	2012-04-28 15:27:08.000000000 -0500
@@ -25,7 +25,7 @@
 #if !defined(__gda_odbc_h__)
 #  define __gda_odbc_h__
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <glib-object.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-server-provider.h>
--- providers/oracle/gda-oracle.h.orig	2007-01-09 06:50:57.000000000 -0600
+++ providers/oracle/gda-oracle.h	2012-04-28 15:27:08.000000000 -0500
@@ -31,7 +31,7 @@
 #if defined(HAVE_CONFIG_H)
 #endif
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-connection.h>
 #include <libgda/gda-server-provider.h>
 #include <libgda/gda-intl.h>
--- providers/postgres/gda-postgres.h.orig	2007-01-09 06:50:57.000000000 -0600
+++ providers/postgres/gda-postgres.h	2012-04-28 15:27:08.000000000 -0500
@@ -27,7 +27,7 @@
 #if defined(HAVE_CONFIG_H)
 #endif
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-server-provider.h>
 #include <libgda/gda-blob.h>
--- providers/sqlite/gda-sqlite.h.orig	2007-01-09 06:50:55.000000000 -0600
+++ providers/sqlite/gda-sqlite.h	2012-04-28 15:27:08.000000000 -0500
@@ -24,8 +24,7 @@
 #if !defined(__gda_sqlite_h__)
 #  define __gda_sqlite_h__
 
-#include <glib/gmacros.h>
-#include <glib/gtypes.h>
+#include <glib.h>
 #include <libgda/gda-value.h>
 #include <sqlite3.h>
 
--- providers/sybase/gda-sybase.h.orig	2007-01-09 06:50:54.000000000 -0600
+++ providers/sybase/gda-sybase.h	2012-04-28 15:27:08.000000000 -0500
@@ -32,7 +32,7 @@
 #  include <config.h>
 #endif
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-server-provider.h>
 #include <ctpublic.h>
--- providers/xml/gda-xml.h.orig	2007-01-09 06:50:54.000000000 -0600
+++ providers/xml/gda-xml.h	2012-04-28 15:27:08.000000000 -0500
@@ -24,7 +24,7 @@
 #if !defined(__gda_xml_h__)
 #  define __gda_xml_h__
 
-#include <glib/gmacros.h>
+#include <glib.h>
 #include <libgda/gda-intl.h>
 #include <libgda/gda-xml-database.h>
 #include "gda-xml-provider.h"