--- /macports/var/macports/sources/rsync.macports.org/release/tarballs/ports/mail/postfix/Portfile	2012-04-30 02:21:06.000000000 +0200
+++ portfiles/mail/postfix/Portfile	2012-04-30 02:20:57.000000000 +0200
@@ -173,34 +172,68 @@
     lappend AUXLIBS -lldap -llber
 }
 
-variant mysql5  description "add mysql support via mysql5" {
-    depends_lib-append path:bin/mysql_config5:mysql5
-    lappend CCARGS  -DHAS_MYSQL "-I${prefix}/include/mysql5/mysql"
-    lappend AUXLIBS "-L${prefix}/lib/mysql5/mysql" -lmysqlclient -lz -lm
-}
-
-variant postgresql83 conflicts postgresql84 postgresql90 postgresql91 description "add postgresql support via postgresql83" {
-    depends_lib-append port:postgresql83
-    lappend CCARGS  -DHAS_PGSQL "-I${prefix}/include/postgresql83"
-    lappend AUXLIBS "-L${prefix}/lib/postgresql83" -lpq
-}
-
-variant postgresql84 conflicts postgresql83 postgresql90 postgresql91 description "add postgresql support via postgresql84" {
-    depends_lib-append port:postgresql84
-    lappend CCARGS  -DHAS_PGSQL "-I${prefix}/include/postgresql84"
-    lappend AUXLIBS "-L${prefix}/lib/postgresql84" -lpq
-}
-
-variant postgresql90 conflicts postgresql83 postgresql84 postgresql91 description "add postgresql support via postgresql90" {
-    depends_lib-append port:postgresql90
-    lappend CCARGS  -DHAS_PGSQL "-I${prefix}/include/postgresql90"
-    lappend AUXLIBS "-L${prefix}/lib/postgresql90" -lpq
-}
-
-variant postgresql91 conflicts postgresql83 postgresql84 postgresql90 description "add postgresql support via postgresql91" {
-    depends_lib-append port:postgresql91
-    lappend CCARGS  -DHAS_PGSQL "-I${prefix}/include/postgresql91"
-    lappend AUXLIBS "-L${prefix}/lib/postgresql91" -lpq
+variant mysql51 \
+    conflicts mysql55 mariadb percona \
+    description "add mysql support via mysql5.1" {
+        depends_lib-append port:mysql51
+        lappend CCARGS  -DHAS_MYSQL "-I${prefix}/include/mysql51/mysql"
+        lappend AUXLIBS "-L${prefix}/lib/mysql51/mysql" -lmysqlclient -lz -lm
+}
+
+variant mysql55 \
+    conflicts mysql51 mariadb percona \
+    description "add mysql support via mysql5.5" {
+        depends_lib-append port:mysql55
+        lappend CCARGS  -DHAS_MYSQL "-I${prefix}/include/mysql55/mysql"
+        lappend AUXLIBS "-L${prefix}/lib/mysql55/mysql" -lmysqlclient -lz -lm
+}
+
+variant mariadb \
+    conflicts mysql51 mysql55 percona \
+    description "add mysql support via mariadb" {
+        depends_lib-append port:mariadb
+        lappend CCARGS  -DHAS_MYSQL "-I${prefix}/include/mariadb/mysql"
+        lappend AUXLIBS "-L${prefix}/lib/mariadb/mysql" -lmysqlclient -lz -lm
+}
+
+variant percona \
+    conflicts mysql51 mysql55 mariadb \
+    description "add mysql support via percona" {
+        depends_lib-append port:percona
+        lappend CCARGS  -DHAS_MYSQL "-I${prefix}/include/percona/mysql"
+        lappend AUXLIBS "-L${prefix}/lib/percona/mysql" -lmysqlclient -lz -lm
+}
+
+variant postgresql83 \
+    conflicts postgresql84 postgresql90 postgresql91 \
+    description "add postgresql support via postgresql83" {
+        depends_lib-append port:postgresql83
+        lappend CCARGS  -DHAS_PGSQL "-I${prefix}/include/postgresql83"
+        lappend AUXLIBS "-L${prefix}/lib/postgresql83" -lpq
+}
+
+variant postgresql84 \
+    conflicts postgresql83 postgresql90 postgresql91 \
+    description "add postgresql support via postgresql84" {
+        depends_lib-append port:postgresql84
+        lappend CCARGS  -DHAS_PGSQL "-I${prefix}/include/postgresql84"
+        lappend AUXLIBS "-L${prefix}/lib/postgresql84" -lpq
+}
+
+variant postgresql90 \
+    conflicts postgresql83 postgresql84 postgresql91 \
+    description "add postgresql support via postgresql90" {
+        depends_lib-append port:postgresql90
+        lappend CCARGS  -DHAS_PGSQL "-I${prefix}/include/postgresql90"
+        lappend AUXLIBS "-L${prefix}/lib/postgresql90" -lpq
+}
+
+variant postgresql91 \
+    conflicts postgresql83 postgresql84 postgresql90 \
+    description "add postgresql support via postgresql91" {
+        depends_lib-append port:postgresql91
+        lappend CCARGS  -DHAS_PGSQL "-I${prefix}/include/postgresql91"
+        lappend AUXLIBS "-L${prefix}/lib/postgresql91" -lpq
 }
 
 variant dovecot_sasl description "add Dovecot SASL support" {