Index: sysutils/python_select/files/base
===================================================================
--- sysutils/python_select/files/base	(revision 120045)
+++ sysutils/python_select/files/base	(working copy)
@@ -3,6 +3,16 @@
 bin/python-config
 bin/idle
 bin/pydoc
+bin/python2
+bin/pythonw2
+bin/python-config2
+bin/idle2
+bin/pydoc2
+bin/python3
+bin/pythonw3
+bin/python-config3
+bin/idle3
+bin/pydoc3
 bin/smtpd.py
 bin/2to3
 share/man/man1/python.1
Index: sysutils/python_select/files/none
===================================================================
--- sysutils/python_select/files/none	(revision 120045)
+++ sysutils/python_select/files/none	(working copy)
@@ -11,3 +11,13 @@
 -
 -
 -
+-
+-
+-
+-
+-
+-
+-
+-
+-
+-
Index: sysutils/python_select/files/python23-apple
===================================================================
--- sysutils/python_select/files/python23-apple	(revision 120045)
+++ sysutils/python_select/files/python23-apple	(working copy)
@@ -3,8 +3,18 @@
 -
 -
 /usr/bin/pydoc
+/usr/bin/python2.3
+/usr/bin/pythonw2.3
 -
 -
+/usr/bin/pydoc
+-
+-
+-
+-
+-
+-
+-
 /usr/share/man/man1/python2.3.1
 -
 -
Index: sysutils/python_select/files/python25-apple
===================================================================
--- sysutils/python_select/files/python25-apple	(revision 120045)
+++ sysutils/python_select/files/python25-apple	(working copy)
@@ -3,6 +3,16 @@
 /usr/bin/python2.5-config
 -
 /usr/bin/pydoc2.5
+/usr/bin/python2.5
+/usr/bin/pythonw2.5
+/usr/bin/python2.5-config
+-
+/usr/bin/pydoc2.5
+-
+-
+-
+-
+-
 /usr/bin/smtpd2.5.py
 -
 -
Index: sysutils/python_select/files/python25-apple.mtln
===================================================================
--- sysutils/python_select/files/python25-apple.mtln	(revision 120045)
+++ sysutils/python_select/files/python25-apple.mtln	(working copy)
@@ -3,6 +3,16 @@
 /usr/bin/python2.5-config
 /usr/bin/idle2.5
 /usr/bin/pydoc2.5
+/usr/bin/python2.5
+/usr/bin/pythonw2.5
+/usr/bin/python2.5-config
+/usr/bin/idle2.5
+/usr/bin/pydoc2.5
+-
+-
+-
+-
+-
 /usr/bin/smtpd2.5.py
 -
 /usr/share/man/man1/python2.5.1
Index: sysutils/python_select/files/python26-apple
===================================================================
--- sysutils/python_select/files/python26-apple	(revision 120045)
+++ sysutils/python_select/files/python26-apple	(working copy)
@@ -3,6 +3,16 @@
 /usr/bin/python2.6-config
 /usr/bin/idle2.6
 /usr/bin/pydoc2.6
+/usr/bin/python2.6
+/usr/bin/pythonw2.6
+/usr/bin/python2.6-config
+/usr/bin/idle2.6
+/usr/bin/pydoc2.6
+-
+-
+-
+-
+-
 /usr/bin/smtpd2.6.py
 /usr/bin/2to32.6
 -
Index: sysutils/python_select/files/python26-apple.mtln
===================================================================
--- sysutils/python_select/files/python26-apple.mtln	(revision 120045)
+++ sysutils/python_select/files/python26-apple.mtln	(working copy)
@@ -3,6 +3,16 @@
 /usr/bin/python2.6-config
 /usr/bin/idle2.6
 /usr/bin/pydoc2.6
+/usr/bin/python2.6
+/usr/bin/pythonw2.6
+/usr/bin/python2.6-config
+/usr/bin/idle2.6
+/usr/bin/pydoc2.6
+-
+-
+-
+-
+-
 /usr/bin/smtpd2.6.py
 /usr/bin/2to32.6
 /usr/share/man/man1/python2.6.1
Index: sysutils/python_select/files/python27-apple
===================================================================
--- sysutils/python_select/files/python27-apple	(revision 120045)
+++ sysutils/python_select/files/python27-apple	(working copy)
@@ -3,6 +3,16 @@
 /usr/bin/python2.7-config
 /usr/bin/idle2.7
 /usr/bin/pydoc2.7
+/usr/bin/python2.7
+/usr/bin/pythonw2.7
+/usr/bin/python2.7-config
+/usr/bin/idle2.7
+/usr/bin/pydoc2.7
+-
+-
+-
+-
+-
 /usr/bin/smtpd2.7.py
 /usr/bin/2to3-2.7
 -
Index: sysutils/python_select/files/python27-apple.mtln
===================================================================
--- sysutils/python_select/files/python27-apple.mtln	(revision 120045)
+++ sysutils/python_select/files/python27-apple.mtln	(working copy)
@@ -3,6 +3,16 @@
 /usr/bin/python2.7-config
 /usr/bin/idle2.7
 /usr/bin/pydoc2.7
+/usr/bin/python2.7
+/usr/bin/pythonw2.7
+/usr/bin/python2.7-config
+/usr/bin/idle2.7
+/usr/bin/pydoc2.7
+-
+-
+-
+-
+-
 /usr/bin/smtpd2.7.py
 /usr/bin/2to3-2.7
 /usr/share/man/man1/python2.7.1
Index: lang/python24/files/python24
===================================================================
--- lang/python24/files/python24	(revision 120045)
+++ lang/python24/files/python24	(working copy)
@@ -3,6 +3,16 @@
 -
 bin/idle2.4
 bin/pydoc2.4
+bin/python2.4
+bin/pythonw2.4
+-
+bin/idle2.4
+bin/pydoc2.4
+-
+-
+-
+-
+-
 bin/smtpd2.4.py
 -
 -
Index: lang/python24/files/python24-noframework
===================================================================
--- lang/python24/files/python24-noframework	(revision 120045)
+++ lang/python24/files/python24-noframework	(working copy)
@@ -3,6 +3,16 @@
 -
 bin/idle2.4
 bin/pydoc2.4
+bin/python2.4
+-
+-
+bin/idle2.4
+bin/pydoc2.4
+-
+-
+-
+-
+-
 bin/smtpd2.4.py
 -
 -
Index: lang/python25/files/python25
===================================================================
--- lang/python25/files/python25	(revision 120045)
+++ lang/python25/files/python25	(working copy)
@@ -3,6 +3,16 @@
 bin/python2.5-config
 bin/idle2.5
 bin/pydoc2.5
+bin/python2.5
+bin/pythonw2.5
+bin/python2.5-config
+bin/idle2.5
+bin/pydoc2.5
+-
+-
+-
+-
+-
 bin/smtpd2.5.py
 -
 -
Index: lang/python26/files/python26
===================================================================
--- lang/python26/files/python26	(revision 120045)
+++ lang/python26/files/python26	(working copy)
@@ -3,6 +3,16 @@
 bin/python2.6-config
 bin/idle2.6
 bin/pydoc2.6
+bin/python2.6
+bin/pythonw2.6
+bin/python2.6-config
+bin/idle2.6
+bin/pydoc2.6
+-
+-
+-
+-
+-
 bin/smtpd2.6.py
 bin/2to3-2.6
 share/man/man1/python2.6.1
Index: lang/python27/files/python27
===================================================================
--- lang/python27/files/python27	(revision 120045)
+++ lang/python27/files/python27	(working copy)
@@ -3,6 +3,16 @@
 bin/python2.7-config
 bin/idle2.7
 bin/pydoc2.7
+bin/python2.7
+bin/pythonw2.7
+bin/python2.7-config
+bin/idle2.7
+bin/pydoc2.7
+-
+-
+-
+-
+-
 bin/smtpd2.7.py
 bin/2to3-2.7
 share/man/man1/python2.7.1
Index: lang/python31/files/python31
===================================================================
--- lang/python31/files/python31	(revision 120045)
+++ lang/python31/files/python31	(working copy)
@@ -4,6 +4,21 @@
 bin/idle3.1
 bin/pydoc3.1
 -
+-
+-
+-
+-
+bin/python3.1
+bin/pythonw3.1
+bin/python3.1-config
+bin/idle3.1
+bin/pydoc3.1
+-
+-
+-
+-
+-
+-
 bin/2to3-3.1
 share/man/man1/python3.1.1
 -
Index: lang/python32/files/python32
===================================================================
--- lang/python32/files/python32	(revision 120045)
+++ lang/python32/files/python32	(working copy)
@@ -4,6 +4,16 @@
 bin/idle3.2
 bin/pydoc3.2
 -
+-
+-
+-
+-
+bin/python3.2
+bin/pythonw3.2
+bin/python3.2-config
+bin/idle3.2
+bin/pydoc3.2
+-
 bin/2to3-3.2
 share/man/man1/python3.2.1
 -
Index: lang/python33/files/python33
===================================================================
--- lang/python33/files/python33	(revision 120045)
+++ lang/python33/files/python33	(working copy)
@@ -4,6 +4,16 @@
 bin/idle3.3
 bin/pydoc3.3
 -
+-
+-
+-
+-
+bin/python3.3
+bin/pythonw3.3
+bin/python3.3-config
+bin/idle3.3
+bin/pydoc3.3
+-
 bin/2to3-3.3
 share/man/man1/python3.3.1
 -
Index: lang/python34/files/python34
===================================================================
--- lang/python34/files/python34	(revision 120045)
+++ lang/python34/files/python34	(working copy)
@@ -4,6 +4,16 @@
 bin/idle3.4
 bin/pydoc3.4
 -
+-
+-
+-
+-
+bin/python3.4
+-
+bin/python3.4-config
+bin/idle3.4
+bin/pydoc3.4
+-
 bin/2to3-3.4
 share/man/man1/python3.4.1
 -