Index: fuse4x-kext/Portfile
===================================================================
--- fuse4x-kext/Portfile	(revision 93814)
+++ fuse4x-kext/Portfile	(working copy)
@@ -5,8 +5,7 @@
 PortGroup           xcode 1.0
 
 name                fuse4x-kext
-version             0.9.0
-revision            1
+version             0.9.1
 set tag             [string map {. _ } $version]
 categories          fuse devel
 platforms           macosx
@@ -27,8 +26,8 @@
 license             BSD
 master_sites        https://github.com/fuse4x/kext/tarball/fuse4x_${tag}
 
-checksums           sha256  8001a515945ab3ea72df788e89ef66ce608e06ba1444163bfbba928056d0fad5 \
-                    rmd160  89578f947aa916e6435e011ea7964673e213ca3f
+checksums           sha256  e7ba3977df92dbe00eeef4efaca43da31b8cee83ea6b3a62eaf3f014b2fc8bf5 \
+                    rmd160  adac90cf4f704d18dfc170720e2e15c213e4b006
 
 extract.mkdir       yes
 extract.post_args   "| tar --strip-components=1 -xf -"
@@ -47,7 +46,7 @@
 # kext destination: kext will be installed into ${kextdir}/fuse4x.kext.
 #
 # The kext is autoloaded by the library using load_fuse4x, so it
-# doesn't have to go into /System/Library/Extensions. It doesn't
+# doesn't have to go into /Library/Extensions. It doesn't
 # matter where we put it, as long as it's kept in sync with the library.
 #
 # If updating the patchfile or ${kextdir}, must also update the
@@ -60,9 +59,6 @@
 
 xcode.configuration Release
 
-# Disable MacFUSE compatibility mode; not needed for the filesystems we build.
-xcode.build.settings GCC_PREPROCESSOR_DEFINITIONS='FUSE4X_DISABLE_MACFUSE_MODE'
-
 destroot.asroot     yes
 
 destroot {
@@ -76,8 +72,7 @@
 
 
 variant trace description {Enable debug logging: logs all filesystem operations} {
-    # Note that this overrides the normal GCC_PREPROCESSOR_DEFINITIONS
-    xcode.build.settings GCC_PREPROCESSOR_DEFINITIONS='FUSE4X_DISABLE_MACFUSE_MODE FUSE4X_DEBUG FUSE4X_TRACE FUSE4X_TRACE_LK FUSE4X_TRACE_MSLEEP FUSE4X_TRACE_OP FUSE4X_TRACE_VNCACHE FUSE4X_SERIALIZE_LOGGING'
+    xcode.build.settings GCC_PREPROCESSOR_DEFINITIONS='FUSE4X_COUNT_MEMORY FUSE4X_DEBUG FUSE4X_TRACE_LK FUSE4X_TRACE_MSLEEP FUSE4X_TRACE_OP FUSE4X_TRACE_VNCACHE FUSE4X_SERIALIZE_LOGGING'
 }
 
 # We don't need to load the kext, because the fuse4x library will
Index: fuse4x-framework/Portfile
===================================================================
--- fuse4x-framework/Portfile	(revision 93814)
+++ fuse4x-framework/Portfile	(working copy)
@@ -5,7 +5,7 @@
 PortGroup           xcode 1.0
 
 name                fuse4x-framework
-version             0.9.0
+version             0.9.1
 set tag             [string map {. _ } $version]
 categories          fuse devel
 platforms           macosx
@@ -26,8 +26,8 @@
 license             BSD
 master_sites        https://github.com/fuse4x/framework/tarball/fuse4x_${tag}
 
-checksums           sha256  f4a2a0861807c8877c4bdb68e1ef776f50265076ac893581897febcb04436a76 \
-                    rmd160  4ae796f0d14af1435d02e9d20c0cead3b5ce8de9
+checksums           sha256  2929f268a5d0b2ff6223ee6fafea66d3a39c13f382ab104ea2411eed9a56b01d \
+                    rmd160  a0708bb6dacedf3c34c8eec2f9c4c839b35fe7c7
 
 extract.mkdir       yes
 extract.post_args   "| tar --strip-components=1 -xf -"
Index: fuse4x/Portfile
===================================================================
--- fuse4x/Portfile	(revision 93814)
+++ fuse4x/Portfile	(working copy)
@@ -4,8 +4,7 @@
 PortSystem          1.0
 
 name                fuse4x
-version             0.9.0
-revision            1
+version             0.9.1
 set tag             [string map {. _ } $version]
 categories          fuse devel
 platforms           macosx
@@ -27,8 +26,8 @@
 license             LGPL
 master_sites        https://github.com/fuse4x/fuse/tarball/fuse4x_${tag}
 
-checksums           sha256  fde8676cf5d30e167d18860d24843fcf03f64202dd648f0b833f02c12f726964 \
-                    rmd160  c9cd0ceec85e4a4a3d27d302be7147a6e29c9b2a
+checksums           sha256  88ccdbec95b4c5c576dd22f6a88ae2b42f1608a3c406c2bbde2748f630086867 \
+                    rmd160  44e296a8e4a186e8bac58852ce7050335496d7e7
 
 extract.mkdir       yes
 extract.post_args   "| tar --strip-components=1 -xf -"
@@ -38,7 +37,7 @@
 # kext destination: kext will be installed into ${kextdir}/fuse4x.kext.
 #
 # The kext is autoloaded by the library using load_fuse4x, so it
-# doesn't have to go into /System/Library/Extensions. It doesn't
+# doesn't have to go into /Library/Extensions. It doesn't
 # matter where we put it, as long as it's kept in sync with the library.
 #
 # If updating the patchfile or ${kextdir}, must also update the