Index: files/patch-erts_configure.diff
===================================================================
--- files/patch-erts_configure.diff	(revision 94673)
+++ files/patch-erts_configure.diff	(working copy)
@@ -1,6 +1,6 @@
 --- erts/configure.orig	2010-02-22 20:02:57.000000000 +0100
 +++ erts/configure	2010-03-09 13:02:25.000000000 +0100
-@@ -22636,7 +22636,7 @@
+@@ -34187,7 +34187,7 @@
  #include <machine/fpu.h>
  #endif
  #if !(defined(__OpenBSD__) && defined(__x86_64__))
Index: files/patch-disable_wx.diff
===================================================================
--- files/patch-disable_wx.diff	(revision 94673)
+++ files/patch-disable_wx.diff	(working copy)
@@ -1,6 +1,6 @@
 --- lib/configure.orig	2010-12-08 02:07:22.000000000 +1100
 +++ lib/configure	2011-06-18 22:20:13.000000000 +1000
-@@ -277,7 +277,6 @@
+@@ -278,7 +278,6 @@
  ac_subdirs_all="$ac_subdirs_all gs/."
  ac_subdirs_all="$ac_subdirs_all megaco/."
  ac_subdirs_all="$ac_subdirs_all odbc/."
@@ -8,7 +8,7 @@
  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS subdirs LIBOBJS LTLIBOBJS'
  ac_subst_files=''
  
-@@ -1285,9 +1284,6 @@
+@@ -1289,9 +1289,6 @@
      test ! -f odbc/configure ||
  
  subdirs="$subdirs odbc/."
@@ -20,21 +20,12 @@
  fi
 --- lib/Makefile.orig	2010-12-08 02:07:22.000000000 +1100
 +++ lib/Makefile	2011-06-18 22:20:41.000000000 +1000
-@@ -55,7 +55,7 @@
-     ifdef BUILD_ALL
-       ifeq ($(findstring win32,$(TARGET)),win32) # BUILD_ALL on win32
-         OTHER_SUB_DIRECTORIES += 			\
--          snmp otp_mibs appmon erl_interface asn1 jinterface gs wx inets ic \
-+          snmp otp_mibs appmon erl_interface asn1 jinterface gs inets ic \
-           mnesia crypto orber os_mon parsetools syntax_tools pman \
-           public_key ssl toolbar tv observer debugger reltool odbc runtime_tools \
-           cosTransactions cosEvent cosTime cosNotification cosProperty \
-@@ -65,7 +65,7 @@
-         OTHER_SUB_DIRECTORIES += hipe
-       else # BUILD_ALL on unix
-         OTHER_SUB_DIRECTORIES += \
--          snmp otp_mibs appmon erl_interface asn1 jinterface wx debugger reltool gs inets \
-+          snmp otp_mibs appmon erl_interface asn1 jinterface debugger reltool gs inets \
+@@ -24,7 +24,7 @@
+ ifdef BUILD_ALL
+   OTHER_SUB_DIRECTORIES += \
+           snmp otp_mibs appmon erl_interface asn1 jinterface \
+-          wx debugger reltool gs inets \
++          debugger reltool gs inets \
            ic mnesia crypto orber os_mon parsetools syntax_tools \
            pman public_key ssl toolbar tv observer odbc \
-           runtime_tools cosTransactions cosEvent cosTime cosNotification \
+           diameter \
Index: files/patch-toolbar.erl.diff
===================================================================
--- files/patch-toolbar.erl.diff	(revision 94673)
+++ files/patch-toolbar.erl.diff	(working copy)
@@ -1,6 +1,6 @@
 --- lib/toolbar/src/toolbar.erl.sav	2006-05-22 17:04:22.000000000 -0400
 +++ lib/toolbar/src/toolbar.erl	2006-05-22 17:05:07.000000000 -0400
-@@ -36,7 +36,7 @@
+@@ -38,7 +38,7 @@
  -export([create_tool_file/0,add_gs_contribs/0]).
  
  %
@@ -9,7 +9,7 @@
  
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
-@@ -234,7 +234,7 @@
+@@ -236,7 +236,7 @@
  		about_help ->
  		    WinObj = toolbar_graphics:get_window(Window),
  		    Text = ["Help text is on HTML format",
Index: files/patch-erts_emulator_sys_unix_ddll.c.diff
===================================================================
--- files/patch-erts_emulator_sys_unix_ddll.c.diff	(revision 94673)
+++ files/patch-erts_emulator_sys_unix_ddll.c.diff	(working copy)
@@ -1,6 +1,6 @@
 --- erts/emulator/sys/unix/erl_unix_sys_ddll.c.orig	2009-11-04 16:37:36.000000000 +0100
 +++ erts/emulator/sys/unix/erl_unix_sys_ddll.c	2009-11-04 16:38:28.000000000 +0100
-@@ -49,6 +49,12 @@
+@@ -58,6 +58,12 @@
  static int num_errcodes = 0;
  static int num_errcodes_allocated = 0;
  
Index: files/patch-erts_emulator_Makefile.in.diff
===================================================================
--- files/patch-erts_emulator_Makefile.in.diff	(revision 94673)
+++ files/patch-erts_emulator_Makefile.in.diff	(working copy)
@@ -1,6 +1,6 @@
 --- erts/emulator/Makefile.in.orig	2009-09-18 07:06:45.000000000 -0700
 +++ erts/emulator/Makefile.in	2009-10-03 20:09:16.000000000 -0700
-@@ -36,7 +36,12 @@
+@@ -44,7 +44,12 @@
  M4FLAGS=
  CREATE_DIRS=
  
@@ -11,10 +11,10 @@
 +# On i386, the default pagezero_size is 4KB which is what we'll
 +# set here.
 +LDFLAGS=@LDFLAGS@ -pagezero_size 0x400000
+ ARFLAGS=rc
  
  ifeq ($(TYPE),debug)
- PURIFY =
-@@ -110,7 +115,7 @@
+@@ -115,7 +120,7 @@
  override TYPE=opt
  PURIFY =
  TYPEMARKER =
Index: Portfile
===================================================================
--- Portfile	(revision 94673)
+++ Portfile	(working copy)
@@ -4,8 +4,7 @@
 PortSystem      1.0
 
 name            erlang
-version         R15B
-revision        1
+version         R15B01
 categories      lang erlang
 maintainers     bfulgham
 platforms       darwin
@@ -31,8 +30,6 @@
 homepage        http://www.erlang.org/
 master_sites    http://www.erlang.org/download/ \
                 http://www.erlang.org/download/patches/:patches
-# The following line works around Erlang's stealth upgrade of the HTML tarball
-dist_subdir     ${name}/${version}_1
 
 # Parallel build doesn't work as per R13B01
 use_parallel_build  no
@@ -43,15 +40,15 @@
                 otp_doc_man_${version}${extract.suffix}                \
                 otp_doc_html_${version}${extract.suffix}
 
-checksums           otp_src_R15B.tar.gz \
-                    rmd160  022ed91978e85f5a446a90825aa686dd608061a9 \
-                    sha256  5bc34fc34fc890f84bae7ff1f7c81fbec2c9aa28a0ef51a57d7a8192204d8aa2 \
-                    otp_doc_man_R15B.tar.gz \
-                    rmd160  ba9352d78462a3ec3461ea955ae46b96cad95400 \
-                    sha256  1839cc4cab3120401989e0e1d7ad6872a59e2fd9d3cd82f05ca8c4ebef18eb6b \
-                    otp_doc_html_R15B.tar.gz \
-                    rmd160  79606286c3708a56dbc9e54efb60f184fe36c809 \
-                    sha256  40504ad983b450a2c6f7611b3be88ebd6349079764520cca050e9c8f6e79dc93
+checksums           otp_src_${version}.tar.gz \
+                    rmd160  98eeceb24ebc5f805d79ac0075b3eec7d537e823 \
+                    sha256  f94f7de7328af3c0cdc42089c1a4ecd03bf98ec680f47eb5e6cddc50261cabde \
+                    otp_doc_man_${version}.tar.gz \
+                    rmd160  57e25006fc250d364bb7e7fe0e607b703bea8202 \
+                    sha256  5032bcb992369543139136896ba67b4f8fa58fd3d223941a01a39063b221212c \
+                    otp_doc_html_${version}.tar.gz \
+                    rmd160  bf5eb7b1e3259f752196e563ba7500b7cee35b65 \
+                    sha256  0b6eb18855b451882ff5be07d3c25b497b256ead14d6be98791bf056b958a8e7
 
 pre-patch       { file rename ${workpath}/otp_src_${version} ${workpath}/${name}-${version} }
 
@@ -84,9 +81,9 @@
         system "tar -C ${destroot}${prefix}/lib/erlang -zxvf ${distpath}/otp_doc_html_${version}${extract.suffix}"
         system "tar -C ${destroot}${prefix}/lib/erlang -zxvf ${distpath}/otp_doc_man_${version}${extract.suffix}"
  
-        set erts_dir   erts-5.9
-        set erl_interface_dir   erl_interface-3.7.6
-        set wx_dir wx-0.99.1
+        set erts_dir   erts-5.9.1
+        set erl_interface_dir   erl_interface-3.7.7
+        set wx_dir wx-0.99.2
 
         reinplace s|${destroot}|| ${destroot}${prefix}/lib/erlang/bin/erl
         reinplace s|${destroot}|| ${destroot}${prefix}/lib/erlang/bin/start